# v.1.4.0

## 2025-09-23 - Live

## 2025-09-09 - Test Environment

#### Added

* **LEI Validity Monitoring:** An automated system has been implemented to monitor the validity of Legal Entity Identifiers (LEIs).
  * **Description:** The system performs a daily check against the GLEIF API for all legal entity customers in `ACTIVE`, `REVIEW`, `SUSPENDED`, or `SUSPENDED_COMPLIANCE` statuses. If an LEI is found to be expired, the system automatically updates the customer's record and notifies the partner.
* **Beneficial Owner Validation:** Enhanced the `POST /beneficial-owners` endpoint with new validation rules to prevent the creation of duplicate beneficial owners for the same legal entity.
* **Customer Reassessment Data:** Added new parameters to the Customer model to store and retrieve assessment information.
  * **New Parameters:** `reAssessmentDate`, `reAssessmentType`, and `reAssessmentStatus`.
  * **Endpoint:** These parameters are now available in the `GET /customers/{customerId}` endpoint response.
* **Suspension Rules for Tax Compliance:**
  * Suspending elements related to persons who have an empty `TaxID` and `TaxResidency` in Germany after 90 days.
  * Suspending Customers in case of related proxy, legal representative, or beneficial owner who have not completed their `TaxID`.
  * Suspending Natural Person and connected roles.
* **Customer Products:** Added new parameters `ClosedOn` and `OpenedOn` to customer products.
* **Legal Representative Validation:** Implemented verification of uniqueness of legal representatives.
* **Proxy Creation Verification:** Improved validation for proxy creation. Adding a proxy with `proxyType: LIQUIDATOR` or `GENERAL_POWER_OF_ATTORNEY` to a Legal Entity no longer requires a legal representative.
* **Changelog Refactor:**
  * All changelog endpoints moved to the **Changelogs** documention section.
* **Requestor ID Validation:** Added validation for `requestorId` in:
  * Products
  * Transfers
  * Digital asset orders
  * Documents

#### Changed

* **LEC Offboarding Process:** During a Legal Entity Customer offboarding, the associated legal representatives will now be correctly set to the `INACTIVE` status.
* **Natural Person Matching:** The logic for matching natural persons has been adjusted and improved.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tradevest.ai/release-notes/archive/v.1.4.0-test-environment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
